<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3><strong>Add Promo Code</strong></h3>
            </div>
            <div class="ibox-content">
                <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="addPromoCode(f)">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Promo Name<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="100" placeholder="Name" name="promo_name"
                                #promo_name="ngModel" [(ngModel)]="promoCodeModel.promo_name" required>
                            <div class="error-msg"
                                *ngIf="promo_name.errors && (promo_name.dirty || promo_name.touched || f.submitted)">
                                <div [hidden]="!promo_name.errors.required">Name is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Promo code<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="15" placeholder="Promo code"
                                name="promo_code" #promo_code="ngModel" [(ngModel)]="promoCodeModel.promo_code"
                                required>
                            <div class="error-msg"
                                *ngIf="promo_code.errors && (promo_code.dirty || promo_code.touched || f.submitted)">
                                <div [hidden]="!promo_code.errors.required">Promo code field is required.</div>
                                <div [hidden]="!promo_code.errors.maxLength">Maximum length is 15.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Promo Type<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <select name="promo_type" #promo_type="ngModel" [(ngModel)]="promoCodeModel.promo_type"
                                class="form-control">
                                <option value="" hidden>Promo type </option>
                                <option value='0'> All customers </option>
                                <option value='1'> Customer groups </option>
                                <option value='2'> Customer specific </option>
                            </select>
                            <div class="error-msg"
                                *ngIf="promo_type.errors && (promo_type.dirty || promo_type.touched || f.submitted)">
                                <div [hidden]="!promo_type.errors.required">Promo type field is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group" *ngIf="promoCodeModel.promo_type==1">
                        <label class="col-sm-2 control-label">Customer Group tag<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" class="form-control" placeholder="Customer Group tag"
                                name="customer_group_tag" #customer_group_tag="ngModel"
                                [(ngModel)]="promoCodeModel.customer_group_tag" required multiple>
                                <mat-option *ngFor="let group of customerData" [value]="group._id">
                                    {{ group.name }}</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="customer_group_tag.errors && (customer_group_tag.dirty || customer_group_tag.touched || f.submitted)">
                                <div [hidden]="!customer_group_tag.errors.required">Customer group tag is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">RefNo/Budget<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="100" placeholder="RefNo/Budget"
                                name="RefNo" #refno="ngModel" [(ngModel)]="promoCodeModel.refno" required>
                            <div class="error-msg"
                                *ngIf="refno.errors && (refno.dirty || refno.touched || f.submitted)">
                                <div [hidden]="!refno.errors.required">RefNo/Budget field is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Description<i aria-hidden="true" 
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="500" placeholder=" Description"
                                name="description" #description="ngModel" [(ngModel)]="promoCodeModel.description"
                                required>
                            <div class="error-msg"
                                *ngIf="description.errors && (description.dirty || description.touched || f.submitted)">
                                <div [hidden]="!description.errors.required">Description is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Valid from date</label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control " [owlDateTime]="dt6" name="valid_from_date"
                                #valid_from_date="ngModel" [(ngModel)]="promoCodeModel.valid_from_date" [min]="max"
                                (click)="resetEndtime()" placeholder="Valid from date" readonly />
                            <span class="trigger" [owlDateTimeTrigger]="dt6" (click)="resetEndtime()">
                                <i aria-hidden="true" class="fa fa-calendar calendar-schedule"></i>
                            </span>
                            <owl-date-time #dt6></owl-date-time>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Valid to date</label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control " [owlDateTime]="dt7" name="valid_to_date"
                                #valid_to_date="ngModel" [(ngModel)]="promoCodeModel.valid_to_date"
                                [min]="promoCodeModel.valid_from_date" placeholder="Valid to date" readonly />
                            <span class="trigger" [owlDateTimeTrigger]="dt7">
                                <i aria-hidden="true" class="fa fa-calendar calendar-schedule"></i>
                            </span>
                            <owl-date-time #dt7></owl-date-time>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Valid from time</label>
                        <div class="col-sm-10 form-input">
                            <input type="text " class="form-control " [owlDateTime]="dt8" name="valid_from_time"
                                #valid_from_time="ngModel" [(ngModel)]="promoCodeModel.valid_from_time"
                                placeholder="Valid from time" />
                            <span class="trigger" [owlDateTimeTrigger]="dt8">
                                <i aria-hidden="true" class="fa fa-clock-o calendar-schedule"></i>
                            </span>
                            <owl-date-time [pickerType]="'timer'" #dt8></owl-date-time>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Valid to time</label>
                        <div class="col-sm-10 form-input">
                            <input type="text " class="form-control " [owlDateTime]="dt9" name="valid_to_time"
                                #valid_to_time="ngModel" [(ngModel)]="promoCodeModel.valid_to_time"
                                placeholder="Valid to time" [min]="promoCodeModel.valid_from_time" />
                            <span class="trigger" [owlDateTimeTrigger]="dt9">
                                <i aria-hidden="true" class="fa fa-clock-o calendar-schedule"></i>
                            </span>
                            <owl-date-time [pickerType]="'timer'" #dt9></owl-date-time>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Customer Usage limit<i aria-hidden="true"
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator0 pattern="[0-9]+?"
                                placeholder=" Usage limit" name="usage_count" #usage_count="ngModel"
                                [(ngModel)]="promoCodeModel.usage_count" required>
                            <div class="error-msg"
                                *ngIf="usage_count.errors && (usage_count.dirty || usage_count.touched || f.submitted)">
                                <div [hidden]="!usage_count.errors.required">Usage limit is required.</div>
                                <div [hidden]="!usage_count.errors.pattern">Usage limit should be a number.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Total Usage limit<i aria-hidden="true" 
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator1 pattern="[0-9]+?"
                                placeholder="Total Usage limit" name="total_usage_count" #total_usage_count="ngModel"
                                [(ngModel)]="promoCodeModel.total_usage_count" required>
                            <div class="error-msg"
                                *ngIf="total_usage_count.errors && (total_usage_count.dirty || total_usage_count.touched || f.submitted)">
                                <div [hidden]="!total_usage_count.errors.required">Total Usage limit is required.</div>
                                <div [hidden]="!total_usage_count.errors.pattern">Total Usage limit should be an number.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Maximum Discount amount<i aria-hidden="true" 
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator2 pattern="^[0-9]+$"
                                placeholder="Maximum discount amount" name="maximum_discount_amount_upto"
                                #maximum_discount_amount_upto="ngModel"
                                [(ngModel)]="promoCodeModel.maximum_discount_amount_upto" required>
                            <div class="error-msg"
                                *ngIf="maximum_discount_amount_upto.errors && (maximum_discount_amount_upto.dirty || maximum_discount_amount_upto.touched || f.submitted)">
                                <div [hidden]="!maximum_discount_amount_upto.errors.pattern">Maximum discount amount
                                    should be a
                                    number.
                                </div>
                                <div [hidden]="!maximum_discount_amount_upto.error.required">Maximum Discount amount is
                                    required.</div>
                                <div [hidden]="!maximum_discount_amount_upto.errors.numbervalidator2">Max order amount
                                    should be
                                    an
                                    number.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Minimum order amount for promo</label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator3 pattern="[0-9]+?"
                                placeholder="Min order amount" name="min_order_amount" #min_order_amount="ngModel"
                                [(ngModel)]="promoCodeModel.min_order_amount">
                            <div class="error-msg"
                                *ngIf="min_order_amount.errors && (min_order_amount.dirty || min_order_amount.touched || f.submitted)">
                                <div [hidden]="!min_order_amount.errors.pattern">Min order amount should be
                                    a
                                    number.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Maximum order amount for promo</label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator4 pattern="[0-9]+?"
                                placeholder="Max order amount" name="max_order_amount" #max_order_amount="ngModel"
                                [(ngModel)]="promoCodeModel.max_order_amount">
                            <div class="error-msg"
                                *ngIf="max_order_amount.errors && (max_order_amount.dirty || max_order_amount.touched || f.submitted)">
                                <div [hidden]="!max_order_amount.errors.pattern">Max order amount should be
                                    an
                                    number.</div>

                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Discount %<i aria-hidden="true" 
                                class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" numbervalidator maxlength="3" pattern="[0-9]+?"
                                placeholder=" Discount %" name="percentage_discount" #percentage_discount="ngModel"
                                [(ngModel)]="promoCodeModel.percentage_discount" required>
                            <div class="error-msg"
                                *ngIf="percentage_discount.errors && (percentage_discount.dirty || percentage_discount.touched || f.submitted)">
                                <div [hidden]="!percentage_discount.errors.required">Discount % is required.
                                </div>
                                <div [hidden]="!percentage_discount.errors.pattern">Discount % should be an
                                    number.
                                </div>
                                <div *ngIf="percentage_discount.errors.numbervalidator">Discount % should not be
                                    greater
                                    than 100.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Pick up zone</label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Pick up zone" name="pickup_applicable_zones"
                                #pickup_applicable_zones="ngModel" [(ngModel)]="promoCodeModel.pickup_applicable_zones"
                                multiple>
                                <mat-option *ngFor="let zone of zones" [value]="zone._id">{{ zone.name }}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Drop zone</label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Drop zone" name="drop_applicable_zones"
                                #drop_applicable_zones="ngModel" [(ngModel)]="promoCodeModel.drop_applicable_zones"
                                multiple>
                                <mat-option *ngFor="let zone of zones" [value]="zone._id">{{ zone.name }}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Either in pickup or drop</label>
                        <div class="col-sm-10 form-input">
                            <select name="promo_match_pick_or_drop" #promo_match_pick_or_drop="ngModel"
                                [(ngModel)]="promoCodeModel.promo_match_pick_or_drop" class="form-control">
                                <option value=true> True </option>
                                <option value=false> false </option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Category</label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="App Category"
                                name="applicable_for_app_category" #applicable_for_app_category="ngModel"
                                [(ngModel)]="promoCodeModel.applicable_for_app_category" multiple>
                                <mat-option *ngFor="let category of CategoryData" [value]="category._id">
                                    {{ category.name }}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group"><label class="col-sm-2 control-label">Payment Type</label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Payment type" name="payment_type"
                                #applicable_for_payment_types="ngModel"
                                [(ngModel)]="promoCodeModel.applicable_for_payment_types" multiple>
                                <mat-option *ngFor="let ptype of paymentTypeData" [value]="ptype._id">
                                    {{ ptype.payment_type }}
                                </mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Auto Applicable</label>
                        <div class="col-sm-10 form-input">
                            <select name="is_auto_applicable" #is_auto_applicable="ngModel"
                                [(ngModel)]="promoCodeModel.is_auto_applicable" class="form-control">
                                <option value=true> True </option>
                                <option value=false> false </option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/administration/promo-code']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>